using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace aaa
{ 

    class Program
    {
        public static void Main()
        {
            int x=int.Parse(Console.ReadLine()), y=int.Parse(Console.ReadLine());
            int a = x.ToString().Length, b = y.ToString().Length, res=0;
            int i = 0;
            
            do
            {
                if ((x % 10) > (y % 10))
                {
                    res += x % 10 * (int)Math.Pow(10, i);
                    x /= 10;
                    y /= 10;
                    i++;
                }
                
                else if ((x % 10) == (y % 10) && (x!=0 && y!=0))
                {
                    res += x % 10 * (int)Math.Pow(10, i);
                    i++;
                    res += y % 10 * (int)Math.Pow(10, i);
                    x /= 10;
                    y /= 10;
                    i++;
                }
                else
                {
                    res += y % 10 * (int)Math.Pow(10, i);
                    y /= 10;
                    x /= 10;
                    i++;
                }
            } while ((x!=0 || y!=0));
            Console.WriteLine(res);
        }
        
    }
}